Page MenuHomePhabricator

Move KafkaSSE development from Differential to Github
Closed, ResolvedPublic1 Estimated Story Points

Description

See parent task.

Filing this because of https://phabricator.wikimedia.org/D1092 , if move has already happened in the meantime or if I misinterpret, please correct. Thanks.

(History: https://phabricator.wikimedia.org/T148651 )

Event Timeline

Ottomata claimed this task.Dec 20 2018, 3:04 PM
Ottomata triaged this task as Medium priority.
Ottomata added a project: Analytics.
Milimetric moved this task from Incoming to Event Platform on the Analytics board.Jan 7 2019, 4:46 PM
Milimetric added a project: Analytics-Kanban.

For this particular project, I'd like to move to github. This is a generic library that is non mediawiki specific. I'll try to work on this soon.

Ottomata renamed this task from Move KafkaSSE development from Differential to Gerrit to Move KafkaSSE development from Differential to Github.Jan 7 2019, 8:16 PM

Change 482697 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Use KafkaSSE from github instead of diffusion

https://gerrit.wikimedia.org/r/482697

Change 482697 merged by Ottomata:
[mediawiki/services/eventstreams@master] Use KafkaSSE from github instead of diffusion

https://gerrit.wikimedia.org/r/482697

The next time we build/deploy EventStreams, KafkaSSE from diffusion will no longer be used. Can we close this? Should we delete the repo from diffusion?

Ottomata set the point value for this task to 1.
Ottomata moved this task from Ready to Deploy to In Code Review on the Analytics-Kanban board.
Legoktm added a subscriber: Legoktm.Jan 7 2019, 8:41 PM

For this particular project, I'd like to move to github. This is a generic library that is non mediawiki specific. I'll try to work on this soon.

It's unclear what being non-mediawiki specific has to do with picking github? We have plenty of non-MediaWiki specific code on Gerrit.

More generally, it's extremely helpful that you (and others) document the reasons for picking a proprietary service over the free, privacy-friendly one we're investing resources in supporting so we can make improvements as necessary. Thanks!

Most of the time I'm mostly unoppionated and am all for gerrit, especially when the target audience of the software is users that are (or should be) already used to using gerrit.

But for softwares that are very generic and intended to be used widely in larger non Wikimedia/Mediawiki tech communities, folks are not used to gerrit. I don't want to force people to figure out how to create gerrit accounts and create review patches to accept changes from people outside of WMF.

KafkaSSE is a generic library. The EventStreams service codebase (for which KafkaSSE was developed) is in gerrit.

Reedy added a subscriber: Reedy.Jan 7 2019, 8:56 PM

But for softwares that are very generic and intended to be used widely in larger non Wikimedia/Mediawiki tech communities, folks are not used to gerrit. I don't want to force people to figure out how to create gerrit accounts and create review patches to accept changes from people outside of WMF.

Are you likely to get many contributors? I've seen this argument many times, and many of these repos receive little to no external commits.

It seems to be me it'd be more worthwhile if someone fixed/maintained the github -> gerrit bot, else just spending time on T37497: Implement a way to bring GitHub pull requests into gerrit more generally

Are you likely to get many contributors?

You never know! But for KafkaSSE, probably not. :)

Paladox added a subscriber: Paladox.EditedJan 7 2019, 9:01 PM

T37497#4860677 - We can install the GitHub plugin (which gerrithub (https://review.gerrithub.io)) uses to pull requests in. So users contribute through GitHub and you pull the requests into gerrit and merge.

If something like ^ worked nicely, my pro github arguments would be all moot and I'd be fine with gerrit all the way. :)

Ottomata moved this task from In Code Review to Done on the Analytics-Kanban board.Jan 9 2019, 5:11 PM
Nuria closed this task as Resolved.Jan 17 2019, 2:18 PM